function addCookie(title){　 // 加入收藏夹  
    if (document.all){   
        window.external.addFavorite(window.location.href, title);   
    }else if (window.sidebar){   
        window.sidebar.addPanel(title, window.location.href, "");   
    }   
}   
  
function setHomepage(url){　 // 设为首页  
    if (document.all){   
        document.body.style.behavior = 'url(#default#homepage)';   
        document.body.setHomePage(url);   
    }else if (window.sidebar){   
        if (window.netscape){   
            try {   
                netscape.security.PrivilegeManager.enablePrivilege("UniversalXPConnect");   
            }catch (e) {   
                alert("该操作被浏览器拒绝，如果想启用该功能，请在地址栏内输入 about:config,然后将项 signed.applets.codebase_principal_support 值改为 true");   
            }   
        }   
        var prefs = Components.classes['@mozilla.org/preferences-service;1'].getService(Components.interfaces.nsIPrefBranch);   
        prefs.setCharPref('browser.startup.homepage', url);   
    }   
}    
//<a href="javascript:addCookie('网站标题');" _fcksavedurl="javascript:addCookie('网站标题');">加入收藏夹
//<a href="javascript:setHomepage('网站地址');" _fcksavedurl="javascript:setHomepage('网站地址');" >设为首页
